Bug 47809 - [Qt] QtTestBrowser: Prevent calling load() directly from loadFinished() in robot mode.
Summary: [Qt] QtTestBrowser: Prevent calling load() directly from loadFinished() in ro...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Enhancement
Assignee: Jocelyn Turcotte
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks:
 
Reported: 2010-10-18 03:35 PDT by Jocelyn Turcotte
Modified: 2010-10-27 14:39 PDT (History)
3 users (show)

See Also:


Attachments
Patch (4.53 KB, patch)
2010-10-18 03:37 PDT, Jocelyn Turcotte
no flags Details | Formatted Diff | Diff
Patch (4.55 KB, patch)
2010-10-19 01:53 PDT, Jocelyn Turcotte
akling: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jocelyn Turcotte 2010-10-18 03:35:59 PDT
[Qt] QtTestBrowser: Prevent calling load() directly from loadFinished() in robot mode.
Comment 1 Jocelyn Turcotte 2010-10-18 03:37:57 PDT
Created attachment 71018 [details]
Patch
Comment 2 Andreas Kling 2010-10-19 00:59:14 PDT
Comment on attachment 71018 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=71018&action=review

Patch looks OK, but this makes me wonder: if starting a new load in direct response to loadFinished(bool) may cause crashes, shouldn't we be fixing that or documenting that fact?

> WebKitTools/QtTestBrowser/urlloader.cpp:96
> +    --m_numFramesLoading;

We should ASSERT(m_numFramesLoading > 0); before this.
Comment 3 Jocelyn Turcotte 2010-10-19 01:53:08 PDT
Created attachment 71142 [details]
Patch
Comment 4 Early Warning System Bot 2010-10-19 02:14:14 PDT
Attachment 71142 [details] did not build on qt:
Build output: http://queues.webkit.org/results/4446084
Comment 5 Andreas Kling 2010-10-19 02:39:56 PDT
Comment on attachment 71142 [details]
Patch

r=me, but don't forget to add the missing include. ;)
Comment 6 Jocelyn Turcotte 2010-10-19 03:37:00 PDT
Committed r70044: <http://trac.webkit.org/changeset/70044>
Comment 7 Jocelyn Turcotte 2010-10-19 08:39:17 PDT
Blocking 2.1 to get it cherry-picked.
This patch only affect QtTestBrowser and picking it should involve no risk.
Comment 8 Ademar Reis 2010-10-19 10:17:48 PDT
Please block the candidates master bug, not the release critical (fixed). In practice the chances of being cherry-picked are almost the same - it all depends on the complexity and if it conflicts or not.
Comment 9 Ademar Reis 2010-10-27 14:38:50 PDT
Revision r70044 cherry-picked into qtwebkit-2.1 with commit 4d3698b <http://gitorious.org/webkit/qtwebkit/commit/4d3698b>